Last Comment Bug 1121091 - Push legal-docs commits in master to production
: Push legal-docs commits in master to production
Status: RESOLVED FIXED
[kb=1629325]
:
Product: www.mozilla.org
Classification: Other
Component: Bedrock (show other bugs)
: Development/Staging
: All All
-- normal
: ---
Assigned To: Kohei Yoshino [:kohei]
:
:
Mentors:
: 1121090 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-13 11:11 PST by Mike Alexis [:malexis]
Modified: 2015-01-16 05:37 PST (History)
7 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
pull request (44 bytes, text/x-github-pull-request)
2015-01-13 12:10 PST, Kohei Yoshino [:kohei]
no flags Details | Review | Splinter Review
pull request to fix locale names on legal-docs (46 bytes, text/x-github-pull-request)
2015-01-13 16:39 PST, Kohei Yoshino [:kohei]
no flags Details | Review | Splinter Review
pull request for bedrock, take 2 (44 bytes, text/x-github-pull-request)
2015-01-14 11:19 PST, Kohei Yoshino [:kohei]
no flags Details | Review | Splinter Review

Description User image Mike Alexis [:malexis] 2015-01-13 11:11:12 PST
New commits in legal-docs repo related to Hello launch that happened today need to be pushed to prod.

Can we get these live today?

[1] https://github.com/mozilla/legal-docs/tree/master/WebRTC_ToS
[2] https://github.com/mozilla/legal-docs/tree/master/WebRTC_PrivacyNotice
[3] https://github.com/mozilla/legal-docs/tree/master/acceptable_use_policy
[4] https://github.com/mozilla/legal-docs/tree/master/Websites_ToU
Comment 1 User image Mika 2015-01-13 11:13:17 PST
*** Bug 1121090 has been marked as a duplicate of this bug. ***
Comment 2 User image Kohei Yoshino [:kohei] 2015-01-13 12:10:12 PST
Created attachment 8548397 [details] [review]
pull request
Comment 3 User image [github robot] 2015-01-13 12:25:39 PST
Commits pushed to master at https://github.com/mozilla/bedrock

https://github.com/mozilla/bedrock/commit/01d2a90ec252bbebe7a646c9f67c736e816dd7f9
Fix Bug 1121091 - Push legal-docs commits in master to production

https://github.com/mozilla/bedrock/commit/dabf4a01ee1a5e6fbcacd15a261ac957cc9971cb
Merge pull request #2652 from kyoshino/bug-1121091-update-legal-docs

Fix Bug 1121091 - Push legal-docs commits in master to production
Comment 4 User image Peiying Mo [:CocoMo] 2015-01-13 14:46:19 PST
How soon can we see the updates? I checked on German links, they all pointed to en-US.
Comment 5 User image Kohei Yoshino [:kohei] 2015-01-13 15:23:36 PST
Ah, we have to activate locales manually until Bug 1097785 is fixed... :( Checking it out now.
Comment 6 User image Kohei Yoshino [:kohei] 2015-01-13 16:23:33 PST
Added lang files to SVN trunk in r137008. flod: can you double check the commit and push to stage & production?

By the way, es.md and sr-LATN.md on legal-docs don't match locales on Bedrock so those cannot be activated. I'll send a pull request to fix the inconsistency.
Comment 7 User image Kohei Yoshino [:kohei] 2015-01-13 16:39:14 PST
Created attachment 8548530 [details] [review]
pull request to fix locale names on legal-docs
Comment 8 User image Francesco Lodolo [:flod] 2015-01-14 01:44:13 PST
A bit confused about bn-IN. We're not tracking that locale for Firefox OS material, and those are the only locales we're tracking for /legal right now.

> Added lang files to SVN trunk in r137008. flod: can you double check the
> commit and push to stage & production?

I'm not being smart this morning. Everything looked good so pushed to stage in r137012.
Then realized it's missing a "#" in ## active ##. Fixed dev in r137014, stage in r137015, prod in r137016.

Please note that one thing is adding a file just to enable a page, one other having strings in them. 
Lang files are not tracked automatically in the webdashboard, so localizers simply won't see the missing strings.

Given bug 1097785 for these activations, can we move these strings in legal/index.lang and make the templates use that file? It would also help to have "Back to Legal" read from that file.

Adding this to docs-base.html should be enough
{% add_lang_files "legal/index" %}

I'll take care of moving strings around eventually.

That way, when bug 1097785 is fixed, we can just drop the extra files without loosing strings.
Comment 9 User image Kohei Yoshino [:kohei] 2015-01-14 08:05:28 PST
> Then realized it's missing a "#" in ## active ##

Doh, sorry about that bad copy pasta or something :( Hope Bug 1097785 would be solved soon. And yeah, moving strings to index.lang should have avoided additional files...
Comment 10 User image Kohei Yoshino [:kohei] 2015-01-14 08:15:41 PST
(In reply to Francesco Lodolo [:flod] from comment #8)
> Adding this to docs-base.html should be enough
> {% add_lang_files "legal/index" %}

es-ES, sr (Comment 7) and ja (Bug 1110467) are still on the way. Once my pull request on legal-docs is merged, I'll update the legal-docs submodule again along with that change.
Comment 11 User image Kohei Yoshino [:kohei] 2015-01-14 11:19:56 PST
Created attachment 8549073 [details] [review]
pull request for bedrock, take 2
Comment 12 User image Kohei Yoshino [:kohei] 2015-01-15 16:14:40 PST
(In reply to Kohei Yoshino [:kohei] from comment #11)
> Created attachment 8549073 [details] [review]
> pull request for bedrock, take 2

This has been merged today. :flod can you move the strings, including the new es-ES, ja and sr locales?
Comment 13 User image Francesco Lodolo [:flod] 2015-01-15 22:25:03 PST
Already copied in r137121

I didn't remove them from the original files, just told localizers to ignore them, hopefully they'll be gone soon.
Comment 14 User image Kohei Yoshino [:kohei] 2015-01-16 05:37:44 PST
Thank you! Then we can close this bug.

Note You need to log in before you can comment on or make changes to this bug.